Subject: [bug#34139] Update electrum, add python-aiohttp-socks and python-aiorpcx

From: Vagrant Cascadian <[email-masked]>
Date: Sat, 09 Feb 2019 21:43:31 -0800

On 2019-02-09, Ludovic Courtès wrote:
> Vagrant Cascadian <[email-masked]> skribis:
>> Subject: [PATCH 1/3] gnu: Add python-aiohttp-socks.
>> Subject: [PATCH 2/3] gnu: Add python-aiorpcx.
>> Subject: [PATCH 3/3] gnu: electrum: Update to 3.3.3.
...
> I finally applied all three patches with minor tweaks to the
> descriptions; I also added a copyright line for you in python-web.scm.
> Sorry for the delay!

Thanks!

> Unfortunately qtwebkit, a dependency of Electrum, currently fails to
> build on ‘master’:
...
> See
> <https://ci.guix.info/log/901miwpk9srhwq3646v6bm7zni3qda8m-qtwebkit-5.212.0-alpha2>.

FWIW, I was eventually able to build qtwebkit locally after freeing up
some disk space; it takes at *least* 12GB free to build, in my
experience... saw the build go as high as ~11.5GB at one point, don't
know how much it eventually needed.

So I've managed to install the new version of electrum without local
patches!

live well,
  vagrant